Deactivate seller
Deactivates a seller. When the seller has been deactivated, the status changes from Active to Offline.
Deactivate seller. Changes seller state to Offline (e.g for maintenance). Available for Operations account with platform account management permissions. Returns the updated seller object.
Path parameters
idstringRequired
Seller identifier.
Responses
200
OK
application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
400
Bad Request
application/json
404
Not Found
application/json
post/public/v1/accounts/sellers/{id}/deactivate
POST /public/v1/accounts/sellers/{id}/deactivate HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "SEL-7295-4834",
"revision": 2,
"name": "SoftwareOne AG",
"externalId": "SWO_CH",
"status": "Offline",
"audit": {
"created": {
"at": "2024-02-01T09:12:23+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"updated": {
"at": "2024-02-02T10:05:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"offline": {
"at": "2024-02-02T10:05:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
}
}
}Last updated
Was this helpful?